> For the complete documentation index, see [llms.txt](https://docs.dragonswap.app/dragonswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/core/libraries/position.md).

# Position

Positions represent an owner address' liquidity between a lower and upper tick boundary

Positions store additional state for tracking fees owed to the position

### Functions[​](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#functions) <a href="#functions" id="functions"></a>

#### get[​](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#get) <a href="#get" id="get"></a>

```solidity
  function get(
    mapping(bytes32 => struct Position.Info) self,
    address owner,
    int24 tickLower,
    int24 tickUpper
  ) internal view returns (struct Position.Info position)
```

Returns the Info struct of a position, given an owner and position boundaries

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#parameters)

| Name        | Type                                     | Description                               |
| ----------- | ---------------------------------------- | ----------------------------------------- |
| `self`      | mapping(bytes32 => struct Position.Info) | The mapping containing all user positions |
| `owner`     | address                                  | The address of the position owner         |
| `tickLower` | int24                                    | The lower tick boundary of the position   |
| `tickUpper` | int24                                    | The upper tick boundary of the position   |

**Return Values:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#return-values)

| Name       | Type                 | Description                                            |
| ---------- | -------------------- | ------------------------------------------------------ |
| `position` | struct Position.Info | The position info struct of the given owners' position |

#### update[​](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#update) <a href="#update" id="update"></a>

```solidity
  function update(
    struct Position.Info self,
    int128 liquidityDelta,
    uint256 feeGrowthInside0X128,
    uint256 feeGrowthInside1X128
  ) internal
```

Credits accumulated fees to a user's position

**Parameters:**[**​**](https://docs.uniswap.org/contracts/v3/reference/core/libraries/Position#parameters-1)

| Name                   | Type                 | Description                                                                                     |
| ---------------------- | -------------------- | ----------------------------------------------------------------------------------------------- |
| `self`                 | struct Position.Info | The mapping containing all user positions                                                       |
| `liquidityDelta`       | int128               | The change in pool liquidity as a result of the position update                                 |
| `feeGrowthInside0X128` | uint256              | The all-time fee growth in token0, per unit of liquidity, inside the position's tick boundaries |
| `feeGrowthInside1X128` | uint256              | The all-time fee growth in token1, per unit of liquidity, inside the position's tick boundaries |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dragonswap.app/dragonswap/resources/developer-resources/smart-contracts/dragonswapv2/core/libraries/position.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
